Contents

# GoSub...Return Statement

Calls a subroutine that is indicated by a label inside a Sub or a Function. The statements following the label are executed until the next Return statement. Afterwards, the program continues with the statement that follows the GoSub statement.

### Syntax:

    GoSub label[:]

### Parameters:

label: A line identifier indicating where to continue execution. The scope of a label in that of the routine it belongs to.

The GoSub statement calls a local subroutine indicated by a label from within a subroutine or a function. The name of the label must end with a colon (":").

      Sub/Function foo
          ' statements
          GoSub label
          ' statements
          Exit Sub/Function
      label:
          ' statements
          Return
      End Sub/Function

PREVEDIAko program naiđe na Vrati naredbu kojoj ne prethodi GoSub, LibreOffice Basic vraća poruku greške. Koristi Exit Sub ili Exit Function kako bi se osiguralo da program ostavlja Sub ili Function prije nego dosegne sljedeću Vrati naredbu.

Sljedeći primjer pokazuje korištenje GoSub i Vrati . Izvršenjem sekcije programa dvaput, program izračunava kvadratni korijen od dva broja koji su unesene od strane korisnika.

### Example:

    Sub ExampleGoSub
    Dim iInputa As Single
    Dim iInputb As Single
    Dim iInputc As Single
        iInputa = Int(InputBox("Unesi prvi broj: ","NumberInput"))
        iInputb = Int(InputBox("Unesi drugi broj: ","NumberInput"))
        iInputc=iInputa
        GoSub SquareRoot
        Print "Kvadratni korijen of";iInputa;" je";iInputc
        iInputc=iInputb
        GoSub SquareRoot
        Print "Kvadratni korijen of";iInputa;" je";iInputc
        Exit Sub
    SquareRoot:
        iInputc=sqr(iInputc)
        Return
    End Sub

Related Topics

GoTo Statement

On...GoSub Statement; On...GoTo Statement